package com.sw.mes.yb.production.service;

import com.sw.mes.core.base.BaseService;
import com.sw.mes.yb.production.dto.ProductionCircleWeightDto;
import com.sw.mes.yb.production.dto.ProductionCircleWeightDtoVo;
import com.sw.mes.yb.production.entity.ProductionCircleWeightDetail;

import java.util.List;

/**
 * @Author
 * @Description：
 * @Date:
 * @Modified By:
 */
public interface ProductionCircleWeightDetailService extends BaseService<ProductionCircleWeightDetail> {
    void updateStatus(Integer id, Integer status);

    List<ProductionCircleWeightDtoVo> getRecipeWeightDetail(String weightName,String weightCode, Integer version);

    void deleteHistory(String weightName, String weightCode, Integer version);

    List<ProductionCircleWeightDtoVo> getRecipeWeightDetailById(Long id);

    ProductionCircleWeightDetail getRecipeWeightDetailByKind(String weightName, String weightCode, Integer version);

    // id:生产配料id; recipePurpose:配方用途 weight:单通重量 pId ：产品配方id
    List<ProductionCircleWeightDetail> getWeightByRecipePurpose(Long id, String recipePurpose, Integer weight,Long pId);

    List<ProductionCircleWeightDetail> getProductionCircleWeightDetailsByParam(Long recipeId, String againNum);
}
